<?xml version='1.0' encoding='UTF-8'?>
<rougail version="0.10">
  <services>
    <service name="lemonldap-ng-fastcgi-server">
      <override/>
      <file engine="none">/static/logo.png</file>
      <file engine="none">/static/demo.png</file>
      <file engine="none">/static/silique_email.png</file>
      <file engine="none">/static/silique_folder.png</file>
      <file engine="none">/static/silique_note.png</file>
      <file engine="none">/static/silique_video.png</file>
      <file engine="none">/static/silique_image.png</file>
      <file engine="none">/static/risotto.css</file>
      <file>/var/lib/lemonldap-ng/conf/lmConf-1.json</file>
      <file engine="none">/etc/lemonldap-ng/lemonldap-ng.ini</file>
      <!--file>/etc/lemonldap-ng/handler-nginx.conf</file-->
      <file>/etc/lemonldap-ng/portal-nginx.conf</file>
      <file>/etc/lemonldap-ng/nginx-lmlog.conf</file>
      <file>/etc/default/lemonldap-ng-fastcgi-server</file>
      <file mode="750">/sbin/interne_well_known.pl</file>
      <file mode="750">/sbin/wget.pl</file>
      <file engine="none" source="tmpfile-lemonldap.conf">/tmpfiles.d/0lemonldap.conf</file>
      <file>/tests/lemonldap.yml</file>
    </service>
  </services>
  <variables>
    <family name="nginx">
      <variable name="oauth2_client_external_domain" type="domainname" hidden="True" supplier="OAuth2Client:external_domain"/>
      <variable name="nginx_default_https" redefine="True">
        <value>False</value>
      </variable>
    </family>
    <family name="lemonldap" description="LemonLDAP" help="Configuration de la solution d'authentification unique LemonLDAP::NG">
      <variable name="lemon_proc" type="number" description="Nombre de processus dédié à LemonLdap (équivalent au nombre de processeurs)" mandatory="True">
        <value>1</value>
      </variable>
      <variable name="lemon_mail_admin" type="mail" description="Courriel de l'administrateur" mandatory="True"/>
    </family>
    <family name="annuaire">
      <family name="client">
        <variable name='ldapclient_family' redefine="True">
          <value>all</value>
        </variable>
      </family>
    </family>
  </variables>
  <constraints>
    <fill name="get_first_value">
      <param type="variable">revprox_client_external_domainnames</param>
      <target>oauth2_client_external_domain</target>
    </fill>
  </constraints>
</rougail>
